#!/bin/bash
# Installiert Acrobat Reader
# Martin Schniewind, Oktober 2006
# http://www.schniewind-it.de

#URL="http://ardownload.adobe.com/pub/adobe/reader/unix/7x/7.0.8/deu/AdobeReader_deu-7.0.8-1.i386.rpm"
#URL="http://ardownload.adobe.com/pub/adobe/reader/unix/7x/7.0.9/deu/AdobeReader_deu-7.0.9-1.i386.rpm"
#URL="http://ardownload.adobe.com/pub/adobe/reader/unix/8.x/8.1.1/deu/AdobeReader_deu-8.1.1-1.i386.deb"
#URL="http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.1/deu/AdbeRdr9.1.0-1_i386linux_deu.deb"
#URL="http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.3/deu/AdbeRdr9.3-1_i386linux_deu.deb"
URL="http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.4.0/deu/AdbeRdr9.4-1_i386linux_deu.deb"

DEB=$(basename $URL)
PROG="Adobe Reader"

if test $UID -ne 0; then
	echo "Dieses Skript muss von root aufgerufen werden!" >&2
	exit 9
fi

# Sind Partnerquellen aktiv? Dann von dort installieren:
PKG="adobereader-deu"
DIST=$(lsb_release -c -s)
SLIST="/etc/apt/sources.list"
if grep -q " $DIST partner$" "$SLIST"; then
	# Quellen noetigenfalls aktivieren
	echo "Installiere $PKG ..."
	if grep -v "#" "$SLIST" | grep -q " $DIST partner$"; then
		echo "Partner-Quellen sind bereits aktiv."
	else
		echo "aktiviere Partner-Quellen ..."
		sed -i -e "s/# deb http:\(.*\) $DIST partner/deb http:\1 $DIST partner/g" "$SLIST" || exit 11
		apt-get update || exit 12
	fi
	apt-get --install-recommends install -y $PKG || exit 13
	echo "Fertig."
	exit 0
fi
	
if test -f "$PWD/$DEB"; then
	cp  "$PWD/$DEB" /tmp
elif test -f "/tmp/$DEB"; then
	:
else
	echo "Lade $PROG herunter ..."
	cd /tmp
	wget $URL || exit 1
fi

cd /tmp

echo "Installiere $DEB ..."
dpkg -i $DEB || exit 3

echo "Fertig.
Du kannst Acrobat Reader ueber das Anwendungs-Menue oder ueber das Kommando \"acroread\" starten."
exit
