#!/bin/bash
# Installiert BackInTime aus einem PPA
# geht ab Ubuntu 14.04
# Martin Schniewind, April 2016
# http://www.schniewind-it.de

DIST=$(lsb_release -c -s)
REL=$(lsb_release -r -s)
ADDREPO="ppa:bit-team/stable"

if test $UID -ne 0; then
	echo "Dieses Skript muss von root aufgerufen werden!" >&2
	exit 9
fi

if test -z ${DIST}; then
	echo "Der Codename des Linux konnte nicht ermittelt werden. Abbruch." >&2
	exit 1
fi

PROG="Back in Time"
PACKAGES="backintime-qt4 backintime-notify"

echo "Paketquelle für $PROG hinzufügen ..."
apt-add-repository -y "$ADDREPO" || exit 2

#[ -f ./mas-configure-aptproxy.sh ] && ./mas-configure-aptproxy.sh --merge /etc/apt/sources.list.d/${SRC_LIST}

echo "Paketlisten aktualisieren ..."
apt-get update || exit 4

echo "$PROG herunterladen und installieren ..."
apt-get --yes install $PACKAGES || exit 5

echo "Fertig."
exit 0


