#!/bin/bash
# Installiert Chromium-Browser
# Martin Schniewind, Mai 2010
# http://www.schniewind-it.de

DIST=$(lsb_release -c -s)
PPA="ppa:chromium-daily/stable"
SRC_LIST="chromium-daily-stable-${DIST}.list"
PROG="Chromium-Browser"
PACKAGES="chromium-browser chromium-browser-l10n chromium-codecs-ffmpeg-extra"


if test $UID -ne 0; then
	echo "Dieses Skript muss von root aufgerufen werden!" >&2
	exit 9
fi

if test -z ${DIST}; then
	echo "Der Codename des Linux konnte nicht ermittelt werden. Abbruch." >&2
	exit 1
fi

echo "Paketquelle für $PROG hinzufügen ..."
add-apt-repository "$PPA" || exit 2
[ -f ./mas-configure-aptproxy.sh ] && ./mas-configure-aptproxy.sh --merge /etc/apt/sources.list.d/${SRC_LIST}

echo "Paketlisten aktualisieren ..."
apt-get update || exit 4

echo "$PROG herunterladen und installieren ..."
apt-get --install-recommends --yes install $PACKAGES || exit 5

echo "Fertig."
exit 0
