#!/bin/bash
# Installiert Google Earth
# Martin Schniewind, November 2006
# http://www.schniewind-it.de

DIST=$(lsb_release -c -s)
#URL="http://dl.google.com/earth/client/current/GoogleEarthLinux.bin"
URL="http://dl.google.com/dl/earth/client/current/google-earth-stable_current_i386.deb"
[ $(uname -m) = "x86_64" ] && URL="http://dl.google.com/dl/earth/client/current/google-earth-stable_current_amd64.deb"
#TARBALL=$(basename $URL)
DEB=$(basename $URL)
PROG="Google Earth"
DIR=
EXEC="dpkg -i $DEB"

if test "$1" = "--fix-font-size"; then
	# Schriftgroesse der GUI festlegen
	REGDIR="$HOME/.googleearth/Registry/google/googleearthplus/User/render"
	REGFILE="$REGDIR/guifontsize"
	FSIZE=${2:-10}
	( test -d "$REGDIR" || mkdir -p $REGDIR ) && echo $FSIZE > "$REGFILE"
	echo "GoogleEarth-Schriftgroesse gesetzt auf $(cat ${REGFILE})"
	exit
fi

if test $UID -ne 0; then
	echo "Dieses Skript sollte von root aufgerufen werden. Installation abbrechen? [J/n] "
	read ANT
	case ${ANT:-J} in j|J) exit;; esac
fi

# Block deaktiviert 201209-08
if /bin/false; then
	# Bei Ubuntu >= 12: anders vorgehen:
	UBU12=no
	if [ "${DIST:0:2}" -ge 12 ]; then
		UBU12=yes
		apt-get install googleearth-package || exit 201

	 # Wenn Skript vorhanden: Installation über Medibuntu-Quellen bevorzugen
	elif test -f $(dirname $0)/mas-install-medibuntu.sh ; then
		echo -n "Installation aus dem Medibuntu-Quellen vornehmen (empfohlen)? [J|n] "
		read -t 3 ANT
		# Timeout? Antwort = JA
		[ $? -gt 128 ] && ANT=J
		case ${ANT:-j} in j|J) $(dirname $0)/mas-install-medibuntu.sh googleearth; exit $?;; esac
	fi
fi

if test -z "$DISPLAY"; then
	# GoogleEarth-Installer benoetigt Grafische Sitzung
	echo "Dieses Skript benoetigt eine grafischen Sitzung und kann nicht auf der Konsole ausgefuehrt werden."
	exit 11
	# Den folgenden Code habe ich 2010-09-07 deaktiviert:
	# User mit UID 1000 ermitteln, um Installation in seinen KDE-Autostart zu legen
	XUSER=$(grep ":1000:" /etc/passwd | cut -f1 -d:)
	[ -z "$XUSER" ] && exit 9
	echo -n "Autostart anlegen fuer Benutzer $XUSER? [J|n] "
	read ANT
	case ${ANT:-J} in j|J) .;; *) exit 9;; esac
	AUTOSKRIPT="/home/$XUSER/.kde/Autostart/install-googleearth.sh"
	echo "#!/bin/bash
	xterm -e \"echo 'Installation von Goolge Earth ...'
	\"$0\"
	rm -f \"$AUTOSKRIPT\"
	" > $AUTOSKRIPT
	exit
fi

if test -f "$PWD/$DEB"; then
	ln -s  "$PWD/$DEB" "/tmp/$DEB"
elif test -f "/tmp/$DEB"; then
	:
else
	echo "Lade $PROG herunter ..."
	cd /tmp
	wget $URL || exit 1
fi

cd /tmp

dpkg -i "$DEB" || exit 201

# Block auskommentiert 2012-09-08
# Vorgehensweise ab 12.04:
#if [ "$UBU12" = "yes" ]; then
#	make-googleearth-package || exit 202
#	apt-get -f --yes install || exit 203
#	exit 0
#fi

echo -n "
Bei der Installation von $PROG koennen alle Fragen mit den Vorgabewerten beant-
wortet werden.

ACHTUNG: Im letzten Dialog drücken Sie \"Beenden\" und nicht \"Start\"!

Installation jetzt beginnen? [J/n] "
read ANT
case ${ANT:-J} in j|J) :;; *) exit 0;; esac

chmod a+x ./"$EXEC" && ./"$EXEC"
[ $? -ne 0 ] && exit 1

# Dysfunktionales Desktop-Icon entfernen:
if test $UID -eq 0; then
	FILES=$(find /home -maxdepth 3 -name "*.desktop" 2>/dev/null | grep -i "google-earth")
	for F in $FILES; do
		echo -n "Lösche $F ..."
		rm -f "$F" && echo "ok."
	done
fi

echo "Fertig.

Sollte die Schriftgroesse der Benutzeroberflaeche in Google Earth zu klein sein,
so rufen Sie dieses Skript unter Ihrer Benutzeranmeldung erneut auf mit dem
Parameter --fix-font-size [Zahl]
Wenn Sie \"Zahl\" nicht angeben, wird Schriftgroessen 10 verwendet."

exit
