#!/bin/bash
# Installiert den Betavine Connection Manager / vodafone Connection Manager
# geht für Ubuntu 12.04 precise pangolin
# Martin Schniewind, Juni 2011, Juni 2012
# http://www.schniewind-it.de

DL_BASE="http://forge.betavine.net/frs/download.php/"
DL_TARGET="/tmp/bcm/"
DL_FILES_ALL="661/python-messaging_0.5.12-1_all.deb 662/python-wader_0.5.12-1_all.deb 664/v-mobile-broadband_3.00.01-1_all.deb 663/wader-core_0.5.12-1_all.deb"

DIST=$(lsb_release -c -s)
ARCH=$(uname -m)

if test $UID -ne 0; then
	echo "Dieses Skript muss von root aufgerufen werden!" >&2
	exit 9
fi

if test -z ${DIST}; then
	echo "Der Codename des Linux konnte nicht ermittelt werden. Abbruch." >&2
	exit 1
fi

if test ! ${DIST} = "precise"; then
	echo "Dies geht nur für Ubuntu 12.04 precise pangolin"
	exit 2
fi

#Zielverzeichnis für die  Downloads anlegen und dorthin wechseln und alle debs löschen
test -d "$DL_TARGET" || mkdir -p "$DL_TARGET"
cd "$DL_TARGET" || exit 100
rm *.deb

# Dateien herunterladen
# 1. für alle Architekturen
for F in $DL_FILES_ALL; do
	wget "$DL_BASE$F" --no-check-certificate || exit 110
done

# 2. abhängig von Architektur:
if test "$ARCH" = "x86_64"; then
	for F in $DL_FILES_64; do
		wget "$DL_BASE$F" --no-check-certificate || exit 120
	done
else
	for F in $DL_FILES_32; do
		wget "$DL_BASE$F" --no-check-certificate || exit 130
	done
fi

# installieren: rekursiv aus dem Download-Verzeichnis
dpkg -i -R "$DL_TARGET" || exit 150

# fehlende Abhängigkeiten auflösen
apt-get -f install


#wget http://www.betavine.net/repository/bcm_lucid_install.sh -O /tmp/bcm.sh
#chmod u+x /tmp/bcm.sh
#/tmp/bcm.sh


echo "Fertig."
exit 0
