#!/bin/bash
# Installiert den Nextcloud-Client aus dem Nextcloud-PPA
# Martin Schniewind, September 2017
# http://www.schniewind-it.de

PPA="ppa:nextcloud-devs/client"
PROG="NextCloud Desktop Client"
#PACKAGES="nautilus-nextcloud dolphin-nextcloud caja-nextcloud nemo-nextcloud"
FILEMANAGER="caja nemo dolphin nautilus"

if test $UID -ne 0; then
    echo "Dieses Skript muss von root aufgerufen werden!" >&2
    exit 9
fi

apt-add-repository -y "$PPA"

echo "Paketlisten aktualisieren ..."
apt-get update || exit 4

echo "$PROG herunterladen und installieren ..."
for FM in $FILEMANAGER; do
	dpkg-query --show --showformat='${db:Status-Status}\n' $FM | grep -q "^installed" && apt-get install -y $FM-nextcloud || exit 5
done

echo "Fertig."
exit 0

