#!/bin/bash
# Installiert Opera aus Opera-Repo
# Martin Schniewind, Oktober 2006
# http://www.schniewind-it.de

KEY_ADD="wget -O - http://deb.opera.com/archive.key | apt-key add -"
DIST=$(lsb_release -c -s)
SRC="# This file makes sure that Opera Browser is kept up-to-date
# as part of regular system upgrades

deb http://deb.opera.com/opera/ stable non-free #Opera Browser (final releases)

# The line above will make sure you get all final public releases.
# Uncomment the following line if you want to get alpha and beta
# releases, too.

# deb http://deb.opera.com/opera-beta/ stable non-free #Opera Browser (beta releases)
"
SRC_LIST="opera.list"
PROG="Opera Browser"
PACKAGES="opera"

if test $UID -ne 0; then
    echo "Dieses Skript muss von root aufgerufen werden!" >&2
    exit 9
fi

if test -z ${DIST}; then
    echo "Der Codename des Linux konnte nicht ermittelt werden. Abbruch." >&2
    exit 1
fi

echo "Paketquelle für $PROG hinzufügen ..."
echo "$SRC" > /etc/apt/sources.list.d/$SRC_LIST || exit 2
[ -f ./mas-configure-aptproxy.sh ] && ./mas-configure-aptproxy.sh --merge /etc/apt/sources.list.d/$SRC_LIST

echo "Schlüssel des Repository hinzufügen ..."
eval $KEY_ADD || exit 3

echo "Paketlisten aktualisieren ..."
apt-get update || exit 4

echo "$PROG herunterladen und installieren ..."
apt-get --install-recommends install -y $PACKAGES || exit 5

echo "Fertig."
exit 0
