#!/bin/bash
# Installiert Roger Router - Fritz!Box-Verwaltung
# geht ab Ubuntu 18.04
# Martin Schniewind, 2020-03-06
# http://www.schniewind-it.de

DIST=$(lsb_release -c -s)
REL=$(lsb_release -r -s)

if test $UID -ne 0; then
	echo "Dieses Skript muss von root aufgerufen werden!" >&2
	exit 9
fi

if test -z ${DIST}; then
	echo "Der Codename des Linux konnte nicht ermittelt werden. Abbruch." >&2
	exit 1
fi

#[ -f ./mas-configure-aptproxy.sh ] && ./mas-configure-aptproxy.sh --merge /etc/apt/sources.list.d/${SRC_LIST}

echo "Paketlisten aktualisieren ..."
apt-get update || exit 4

echo "FLATPAK herunterladen und installieren ..."
apt-get --yes install flatpak || exit 5

echo -n "Flatpak konfigurieren (flathub) ... "
flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo && echo "ok."

echo "Fax-Drucker einrichten ... "
lpadmin -p Roger-Router-Fax -m drv:///sample.drv/generic.ppd -v socket://localhost:9100/ -E -o PageSize=A4 && echo " ok."

echo "Roger Router installieren ... "
flatpak install flathub org.tabos.roger

echo "Roger-Router: Fertig."
exit 0


