#!/bin/bash
# Installiert x11vnc als Systemdienst, um eine VNC-Session ohne vorheriges grafisches Login
# zu ermöglichen.
# Martin Schniewind, September 2017
# http://www.schniewind-it.de

if test $UID -ne 0; then
	echo "Dieses Skript muss von root aufgerufen werden!" >&2
	exit 9
fi

# VNC ohne vorheriges grafisches Login
echo "
######################################################################
richte x11vnc als Dienst ein; bitte Kennwort für User 1000 festlegen:
######################################################################"
HOMEDIR=$(grep ":1000:" /etc/passwd | cut -d: -f6)
if ! [ -d "$HOMEDIR" ]; then
	echo "HOME-Verzeichnis für User 1000 nicht gefunden - die Einrichtung von x11vnc als Dienst ist nicht möglich." >&2
	exit 112
fi

PWDFILE="$HOMEDIR/.vnc/passwd"
x11vnc -storepasswd "$PWDFILE" && chown 1000:1000 "$PWDFILE" || exit 120

echo "[Unit]
Description=Start x11vnc at startup.
After=multi-user.target

[Service]
Type=simple
ExecStart=/usr/bin/x11vnc -auth guess -forever -loop -noxdamage -repeat -rfbauth $PWDFILE -rfbport 5900 -shared -ncache 10

[Install]
WantedBy=multi-user.target" > /lib/systemd/system/x11vnc.service || exit 210

systemctl daemon-reload || exit 310
systemctl enable x11vnc.service || exit 312

exit 0
