#!/bin/bash
# Installiert Wine vom Hersteller
# Martin Schniewind, Oktober 2008
# http://www.schniewind-it.de

DIST=$(lsb_release -c -s)
SRC_GET="wget http://wine.budgetdedicated.com/apt/sources.list.d/$DIST.list -O /etc/apt/sources.list.d/winehq.list"
KEY_ADD="wget -q http://wine.budgetdedicated.com/apt/387EE263.gpg -O- | apt-key add -"
PROG="Wine"
PACKAGES="wine"

if test $UID -ne 0; then
	echo "Dieses Skript muss von root aufgerufen werden!" >&2
	exit 9
fi

if test -z ${DIST}; then
	echo "Der Codename des Linux konnte nicht ermittelt werden. Abbruch." >&2
	exit 1
fi

echo "Paketquelle für WineHQ hinzufügen ..."
eval $SRC_GET || exit 2
[ -f ./mas-configure-aptproxy.sh ] && ./mas-configure-aptproxy.sh --merge /etc/apt/sources.list.d/winehq.list

echo "Schlüssel des Repository hinzufügen ..."
eval $KEY_ADD || exit 3

echo "Paketlisten aktualisieren ..."
apt-get update || exit 4

echo "$PROG herunterladen und installieren ..."
apt-get --install-recommends install -y $PACKAGES || exit 5

echo "Fertig."
exit 0
